Eclipse Platform Release 3.7

## org.eclipse.equinox.p2.metadata
Interface IInstallableUnitFragment

All Superinterfaces:
  Comparable<IInstallableUnit>, IInstallableUnit, IVersionedId

    public interface IInstallableUnitFragment

extends IInstallableUnit

Since:
  2.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

Field Summary

Fields inherited from interface org.eclipse.equinox.p2.metadata.IInstallableUnit
`NAMESPACE_IU_ID, PROP_BUNDLE_LOCALIZATION, PROP_CONTACT, PROP_DESCRIPTION, PROP_DESCRIPTION_URL, PROP_DOC_URL, PROP_ICON, PROP_NAME, PROP_PARTIAL_IU, PROP_PROVIDER`

Method Summary
`Collection<IRequirement>` `getHost()`

Methods inherited from interface org.eclipse.equinox.p2.metadata.IInstallableUnit
`equals, getArtifacts, getCopyright, getCopyright, getFilter, getFragments, getLicenses, getLicenses, getMetaRequirements, getProperties, getProperty, getProperty, getProvidedCapabilities, getRequirements, getTouchpointData, getTouchpointType, getUpdateDescriptor, isResolved, isSingleton, satisfies, unresolved`

Methods inherited from interface org.eclipse.equinox.p2.metadata.IVersionedId
`getId, getVersion`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getHost

    Collection<IRequirement> getHost()

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.